com.sun.source.tree

## Interface WildcardTree

- All Superinterfaces:
    Tree

      public interface WildcardTree
      extends Tree

  A tree node for a wildcard type argument. Use `getKind` to determine the kind of bound. For example:

         ?

         ? extends bound

         ? super bound

  Since:
    1.6
  See Also:
    "The Java Language Specification, 3rd ed, section 4.5.1"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree` | `getBound()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getBound

          Tree getBound()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.